## xfm 1.5.4

=== debian/changelog ===
xfm (1.5.4-3) unstable; urgency=low

  * fix typo in package description (Closes: 591391)
  * update VCS- headers
  * use dpkg-buildflags
  * work around libraries erroneously put in LDFLAGS (Closes: 641296)
  * include magic.mime, as libmagic no longer does

 -- Bernhard R. Link <brlink@debian.org>  Wed, 14 Sep 2011 14:39:13 +0200

xfm (1.5.4-2) unstable; urgency=low

  * update build-dependencies removing obsolete x-dev (Closes: 515490, 578966)
  * change Vcs-Cvs field to more modern format (Closes: 465925, 528297)
  * do not use solaris specific linker flags (Closes: 555886)
  * bump Standard-Version
  * change to 3.0 source format

 -- Bernhard R. Link <brlink@debian.org>  Mon, 26 Apr 2010 15:33:32 +0200

xfm (1.5.4-1) unstable; urgency=low

  * new release
    - more often give called programs the verbatim name
    - some workarounds for application/msword files
    - fix a segfault when renaming files

 -- Bernhard R. Link <brlink@debian.org>  Fri, 18 Jan 2008 15:39:50 +0100

xfm (1.5.3-1) unstable; urgency=low

  * new release
    - add support for mouse wheel events
    - don't abort when switching fastly back to iconfilelist
  * bump Standard-Version (no changes needed)
  * add Vcs- and Homepage header
  * increase debhelper compatibility level to 5

 -- Bernhard R. Link <brlink@debian.org>  Sat, 29 Dec 2007 16:45:45 +0100

xfm (1.5.2-1) unstable; urgency=low

  * new release
    - work around icewm not focusing some dialog boxes and showing
      them behind menus.
    - added .iso icon and some type aliases for openoffice files.
    - shorten filenames in IconView to fit into their box
    - a little clean up of some code
  * switch to new menu layout
  * some debian/rules clean up

 -- Bernhard R. Link <brlink@debian.org>  Mon, 13 Aug 2007 15:19:15 +0200

xfm (1.5.1-1) unstable; urgency=low

  * new patch release
    - fix incorrect buffer handling in mailcap parsing (Closes: 389706)
  * increase Standards-Version
  * no longer needing config.guess or config.sub
  * add missed build-dependency to zlib1g-dev

 -- Bernhard R. Link <brlink@debian.org>  Wed, 27 Sep 2006 16:11:20 +0200

xfm (1.5-1) unstable; urgency=low

  * new version
    - automake instead of imake (Closes: 363116)
    - by default uses system magic database and mailcap information
      to determine file types and how to open them.
    - some general clean ups and many little changes
  * build-depend on transitioned libxaw7-dev and xaw3dg-dev (Closes: 364274)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 22 Apr 2006 15:17:21 +0200

xfm (1.4.3-8) unstable; urgency=high

  * Patch lib/Xfm.cpp so that even a new cpp generates
    a valid /etc/X11/app-defaults/Xfm file (Closes: 309109)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 15 May 2005 23:35:05 +0200

xfm (1.4.3-7) unstable; urgency=low

  * always specify xpm_attributes (Closes: 155811)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 24 Mar 2005 12:32:48 +0100

xfm (1.4.3-6) unstable; urgency=low

  * applied fix from Andreas Jochens to avoid problems with too much
    checking compilers (Closes: 259926)
  * Build-Depends on xlibs replaced with newer ones

 -- Bernhard R. Link <brlink@debian.org>  Mon,  2 Aug 2004 17:57:43 +0000

xfm (1.4.3-5) unstable; urgency=low

  * New Maintainer
  * added 'systemwide' configfiles to be read when no user supplied are
    available, removed the no longer needed xfm.install (Closes: 194544)
  * changed xfmrc to use see (from mime-support) instead of netscape,xv,...
  * Added some spaces to make cpp-3.3 happy
  * different little improvements to the standard configuration

 -- Bernhard R. Link <brlink@debian.org>  Wed, 27 Aug 2003 10:53:16 +0200

xfm (1.4.3-4) unstable; urgency=low

  * debian/copyright: very minor edits
  * debian/control:
    - increment versioned build-dependency on debhelper to (>= 4.0)
    - increment Standards-Version to 3.5.7

 -- Branden Robinson <branden@debian.org>  Thu,  3 Oct 2002 01:27:27 -0500

xfm (1.4.3-3) unstable; urgency=low

  * lib/Apps, lib/Xfm.cpp, lib/Hosts, src/xfm.man: changed instances of
    "xterm" to "x-terminal-emulator" (thanks, José Luis González González)
    (Closes: #155810)

 -- Branden Robinson <branden@debian.org>  Wed,  7 Aug 2002 13:19:08 -0500

xfm (1.4.3-2) unstable; urgency=low

  * debian/control: add build dependency on xutils (for imake)

 -- Branden Robinson <branden@debian.org>  Tue, 11 Sep 2001 04:52:40 -0500

xfm (1.4.3-1) unstable; urgency=low

  * initial release (Closes: #111151)
  * wrote a manual page for xfm.install(1)

 -- Branden Robinson <branden@debian.org>  Mon,  3 Sep 2001 20:31:52 -0500
