=== debian/control ===
Source: xfm
Section: utils
Priority: optional
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: libx11-dev, libxmu-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libxaw7-dev (>= 1:1.0.1-5), xaw3dg-dev (>= 1.5+E-11), debhelper (>= 7), m4, zlib1g-dev
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/viewvc/xfm/xfm/
Vcs-Cvs: :pserver:anonymous@anonscm.debian.org:/cvs/xfm xfm
Homepage: http://alioth.debian.org/projects/xfm/

Package: xfm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mime-support, xless
Suggests: nedit, x-terminal-emulator
Description: X file and application manager
 Xfm is a file and application manager program for the X Window System, based
 on the Xaw3d widget set.  It provides virtually all of the features that you
 would expect in a file manager; move around your directory tree in multiple
 windows, move, copy or delete files, and launch programs with simple mouse
 operations.  Directory displays are updated automatically in regular
 intervals when the contents of the directory change.  The integrated
 application manager provides a kind of "shelf" onto which you can place your
 favorite applications, as well as the files and directories you are currently
 working with.  It also allows you to access different groups of applications
 and files.  User-definable file types let you specify a command to be
 executed when double-clicking on a file or dropping other files onto it.
 Last not least, xfm can automatically mount and unmount special devices like
 floppies as you open and close the corresponding directories (mount points).
