=== debian/watch ===
version=3
http://alioth.debian.org/project/showfiles.php?group_id=30191 .*/xfm_(.*).orig.tar.gz
